jQuery 2.0 will remove IE6/7/8 support

JQuery 2.0 will remove IE6/7/8 support, a forum discussion on Jojo CMS. Join us for more discussions on JQuery 2.0 will remove IE6/7/8 support on our General Discussion forum.

Back to Forum Index : Back to General Discussion   RSS
Rick Rick

12 Jul 2012
Posts: 336

jQuery 2.0 (due early 2013) will remove IE6/7/8 support... They've got good reasons but removing full support for IE8 is going to cause headaches since that's as far as Windows XP will go.

It will be interesting as the gap widens between 2.0 and 1.9 with the compatibility plugin.
Jaijaz Jaijaz

12 Jul 2012
Posts: 215

I suspect that the removal of IE6/7/8 will be one of the few differences between 1.9 & 2.0. However with Microsoft push upgrades and the recent announcement of XP being sunsetted in April 2014 I don't think that it will be a big issue by the time 2.0 lands. And if it is you will be able to just use 1.9 and not miss too much.
If you not living on the edge you taking up too much space.
tom

Developer

tom

13 Jul 2012
Posts: 379

We could always put conditionals in to detect the browser version and alter the jQ version served accordingly. I imagine it will be a while before plugins demand 2 but it may mean being a bit more careful with coding around any new features you choose to use so that IE8 doesn't give up mid-stream.

IE6&7 combined are showing up at 5% of traffic on even our most IE-centric audiences and around 2% on the least, so I'm generally inclined to ignore them now. 8 will be more of an issue as it's currently still tracking about even or better with 9
Back to Forum Index : Back to General Discussion   RSS
You must be logged in to post a reply



You need to Register or Log In before posting on these forums.